import vl from 'vega-lite-api';
export const viz = vl
		.markBar({ size: 10})
		.transform(
      vl.aggregate(vl.sum('ILITOTAL').as('ILITOTAL'))
      	.groupby(['YEAR','REGION','WEEK'])
      )
		.encode(
  //vl.y().fieldQ('Population' ).scale({ type: 'log' }),
  //vl.facet().fieldO('YEAR').columns([2]).title('Year'),
  //vl.row().fieldO('YEAR').title('Year'),
  	vl.y()
  		.fieldQ('ILITOTAL')
      .aggregate('sum')
//  		.stack('normalize')
  		.title('ILI_Total'),//.scale({ domain: [15000, 0], range: [0, 180], type: 'symlog' }),
  	vl.x()
  		.fieldQ('WEEK')
  		.title('Week'),
  	vl.color()
      .fieldN('YEAR')
      .scale({ domain: [2015, 2019, 2017] })
//    .domain([2015, 2018])
      .title('Year'),
  	vl.order().fieldQ('ILITOTAL'),
  	vl.tooltip().fieldQ('TOTAL PATIENTS')
);
